<template>
  <div id="app">
    <img alt="Vue logo" src="./assets/logo.png">
    <HelloWorld msg="Welcome to Your Vue.js App"/>
	<TestVue />
	<NewMsg msg="Das ist eine Testnachricht">
		<h1 slot="title">Hallo ich bin ein Slot-Inhalt</h1>
		<h2 slot="text">Teeeeeeeeeeest</h2>
	</NewMsg>
	<EnterYourName />
  </div>
</template>

<script>
import HelloWorld from "./components/HelloWorld.vue"
import TestVue from "./components/TestVue.vue"
import NewMsg from "./components/NewMsg.vue"
import EnterYourName from "./components/EnterYourName.vue"

export default {
  name: 'App',
  components: {
    HelloWorld,
	TestVue,
	NewMsg,
	EnterYourName
  }
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
